Index: /trunk/wp-includes/deprecated.php
===================================================================
--- /trunk/wp-includes/deprecated.php	(revision 18826)
+++ /trunk/wp-includes/deprecated.php	(revision 18827)
@@ -2732,7 +2732,7 @@
  *
  * @param string $title Optional. Link title format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param string $excluded_categories Optional. Excluded categories IDs.
- * @param bool $start Optional, default is true. Whether display link to first or last post.
+ * @param bool $start Optional, default is true. Whether to display link to first or last post.
  * @return string
  */
@@ -2772,5 +2772,5 @@
  *
  * @param string $title Optional. Link title format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param string $excluded_categories Optional. Excluded categories IDs.
  */
Index: /trunk/wp-includes/kses.php
===================================================================
--- /trunk/wp-includes/kses.php	(revision 18826)
+++ /trunk/wp-includes/kses.php	(revision 18827)
@@ -843,5 +843,5 @@
  *
  * The currently implemented checks are "maxlen", "minlen", "maxval", "minval"
- * and "valueless" with even more checks to come soon.
+ * and "valueless".
  *
  * @since 1.0.0
@@ -888,5 +888,5 @@
 
 		case 'minval' :
-			# The minval check checks that the attribute value is a positive integer,
+			# The minval check makes sure that the attribute value is a positive integer,
 			# and that it is not smaller than the given value.
 
@@ -898,5 +898,5 @@
 
 		case 'valueless' :
-			# The valueless check checks if the attribute has a value
+			# The valueless check makes sure if the attribute has a value
 			# (like <a href="blah">) or not (<option selected>). If the given value
 			# is a "y" or a "Y", the attribute must not have a value.
@@ -955,5 +955,5 @@
  * Strips slashes from in front of quotes.
  *
- * This function changes the character sequence  \"  to just  ". It leaves all
+ * This function changes the character sequence \" to just ". It leaves all
  * other slashes alone. It's really weird, but the quoting from
  * preg_replace(//e) seems to require this.
@@ -962,5 +962,5 @@
  *
  * @param string $string String to strip slashes
- * @return string Fixed strings with quoted slashes
+ * @return string Fixed string with quoted slashes
  */
 function wp_kses_stripslashes($string) {
@@ -1043,5 +1043,5 @@
  *
  * This function processes URL protocols, checks to see if they're in the
- * white-list or not, and returns different data depending on the answer.
+ * whitelist or not, and returns different data depending on the answer.
  *
  * @access private
@@ -1120,5 +1120,5 @@
  * Callback for wp_kses_normalize_entities() regular expression.
  *
- * This function helps wp_kses_normalize_entities() to only accept 16 bit values
+ * This function helps wp_kses_normalize_entities() to only accept 16-bit values
  * and nothing more for &#number; entities.
  *
@@ -1167,5 +1167,5 @@
  *
  * @param int $i Unicode value
- * @return bool true if the value was a valid Unicode number
+ * @return bool True if the value was a valid Unicode number
  */
 function valid_unicode($i) {
@@ -1343,5 +1343,5 @@
  *
  * First removes all of the Kses filters in case the current user does not need
- * to have Kses filter the content. If the user does not have unfiltered html
+ * to have Kses filter the content. If the user does not have unfiltered_html
  * capability, then Kses filters are added.
  *
Index: /trunk/wp-includes/l10n.php
===================================================================
--- /trunk/wp-includes/l10n.php	(revision 18826)
+++ /trunk/wp-includes/l10n.php	(revision 18827)
@@ -17,5 +17,5 @@
  * for the locale global set and the locale is returned.
  *
- * The process to get the locale should only be done once but the locale will
+ * The process to get the locale should only be done once, but the locale will
  * always be filtered using the 'locale' hook.
  *
@@ -54,5 +54,5 @@
 /**
  * Retrieves the translation of $text. If there is no translation, or
- * the domain isn't loaded the original text is returned.
+ * the domain isn't loaded, the original text is returned.
  *
  * @see __() Don't use translate() directly, use __()
@@ -85,5 +85,5 @@
 /**
  * Retrieves the translation of $text. If there is no translation, or
- * the domain isn't loaded the original text is returned.
+ * the domain isn't loaded, the original text is returned.
  *
  * @see translate() An alias of translate()
@@ -100,5 +100,5 @@
 /**
  * Retrieves the translation of $text and escapes it for safe use in an attribute.
- * If there is no translation, or the domain isn't loaded the original text is returned.
+ * If there is no translation, or the domain isn't loaded, the original text is returned.
  *
  * @see translate() An alias of translate()
@@ -116,5 +116,5 @@
 /**
  * Retrieves the translation of $text and escapes it for safe use in HTML output.
- * If there is no translation, or the domain isn't loaded the original text is returned.
+ * If there is no translation, or the domain isn't loaded, the original text is returned.
  *
  * @see translate() An alias of translate()
@@ -178,5 +178,5 @@
  *
  * By including the context in the pot file translators can translate the two
- * string differently.
+ * strings differently.
  *
  * @since 2.8.0
@@ -258,5 +258,5 @@
  * Register plural strings in POT file, but don't translate them.
  *
- * Used when you want do keep structures with translatable plural strings and
+ * Used when you want to keep structures with translatable plural strings and
  * use them later.
  *
@@ -292,6 +292,6 @@
  *
  * @since 3.1
- * @param array $nooped_plural array with singular, plural and context keys, usually the result of _n_noop() or _nx_noop()
- * @param int $count number of objects
+ * @param array $nooped_plural Array with singular, plural and context keys, usually the result of _n_noop() or _nx_noop()
+ * @param int $count Number of objects
  * @param string $domain Optional. The domain identifier the text should be retrieved in
  */
@@ -317,5 +317,5 @@
  * @param string $domain Unique identifier for retrieving translated strings
  * @param string $mofile Path to the .mo file
- * @return bool true on success, false on failure
+ * @return bool True on success, false on failure
  */
 function load_textdomain( $domain, $mofile ) {
@@ -374,5 +374,5 @@
  *
  * Loads the .mo file in WP_LANG_DIR constant path from WordPress root. The
- * translated (.mo) file is named based off of the locale.
+ * translated (.mo) file is named based on the locale.
  *
  * @since 1.5.0
@@ -423,6 +423,6 @@
  *
  * @param string $domain Unique identifier for retrieving translated strings
- * @param strings $mu_plugin_rel_path Relative to WPMU_PLUGIN_DIR directory in which
- * the MO file resides. Defaults is empty string.
+ * @param string $mu_plugin_rel_path Relative to WPMU_PLUGIN_DIR directory in which
+ * the MO file resides. Defaults to empty string.
  */
 function load_muplugin_textdomain( $domain, $mu_plugin_rel_path = '' ) {
@@ -521,5 +521,5 @@
  *
  * @param string $dir A directory in which to search for language files. The default directory is WP_LANG_DIR.
- * @return array Array of language codes or an empty array if no languages are present.  Language codes are formed by stripping the .mo extension from the language file names.
+ * @return array Array of language codes or an empty array if no languages are present. Language codes are formed by stripping the .mo extension from the language file names.
  */
 function get_available_languages( $dir = null ) {
Index: /trunk/wp-includes/link-template.php
===================================================================
--- /trunk/wp-includes/link-template.php	(revision 18826)
+++ /trunk/wp-includes/link-template.php	(revision 18827)
@@ -561,5 +561,5 @@
  * Retrieve the feed link for a category.
  *
- * Returns a link to the feed for all post in a given category. A specific feed
+ * Returns a link to the feed for all posts in a given category. A specific feed
  * can be requested or left blank to get the default feed.
  *
@@ -577,7 +577,7 @@
 
 /**
- * Retrieve the feed link for a taxonomy.
- *
- * Returns a link to the feed for all post in a given term. A specific feed
+ * Retrieve the feed link for a term.
+ *
+ * Returns a link to the feed for all posts in a given term. A specific feed
  * can be requested or left blank to get the default feed.
  *
@@ -587,5 +587,5 @@
  * @param string $taxonomy Optional. Taxonomy of $term_id
  * @param string $feed Optional. Feed type.
- * @return string Link to the feed for the taxonomy specified by $term_id and $taxonomy.
+ * @return string Link to the feed for the term specified by $term_id and $taxonomy.
 */
 function get_term_feed_link( $term_id, $taxonomy = 'category', $feed = '' ) {
@@ -896,5 +896,5 @@
  *
  * @param int $id Optional. Post ID.
- * @param string $context Optional, default to display. How to write the '&', defaults to '&amp;'.
+ * @param string $context Optional, defaults to display. How to write the '&', defaults to '&amp;'.
  * @return string
  */
@@ -1065,5 +1065,5 @@
  * @since 1.5.0
  *
- * @param bool $in_same_cat Optional. Whether post should be in same category.
+ * @param bool $in_same_cat Optional. Whether post should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
@@ -1078,5 +1078,5 @@
  * @since 1.5.0
  *
- * @param bool $in_same_cat Optional. Whether post should be in same category.
+ * @param bool $in_same_cat Optional. Whether post should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  * @return mixed Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists.
@@ -1093,5 +1093,5 @@
  * @since 2.5.0
  *
- * @param bool $in_same_cat Optional. Whether post should be in same category.
+ * @param bool $in_same_cat Optional. Whether post should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  * @param bool $previous Optional. Whether to retrieve previous post.
@@ -1171,7 +1171,7 @@
  *
  * @param string $title Optional. Link title format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
- * @param bool $previous Optional, default is true. Whether display link to previous post.
+ * @param bool $previous Optional, default is true. Whether to display link to previous or next post.
  * @return string
  */
@@ -1208,5 +1208,5 @@
  *
  * @param string $title Optional. Link title format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  */
@@ -1219,5 +1219,5 @@
  * Display relational links for the posts adjacent to the current post for single post pages.
  *
- * This is meant to be attached to actions like 'wp_head'.  Do not call this directly in plugins or theme templates.
+ * This is meant to be attached to actions like 'wp_head'. Do not call this directly in plugins or theme templates.
  * @since 3.0.0
  *
@@ -1235,5 +1235,5 @@
  *
  * @param string $title Optional. Link title format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  */
@@ -1248,5 +1248,5 @@
  *
  * @param string $title Optional. Link title format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  */
@@ -1259,9 +1259,9 @@
  *
  * Boundary being either the first or last post by publish date within the constraints specified
- * by in same category or excluded categories.
+ * by $in_same_cat or $excluded_categories.
  *
  * @since 2.8.0
  *
- * @param bool $in_same_cat Optional. Whether returned post should be in same category.
+ * @param bool $in_same_cat Optional. Whether returned post should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  * @param bool $start Optional. Whether to retrieve first or last post.
@@ -1307,5 +1307,5 @@
  * @param string $format Optional. Link anchor format.
  * @param string $link Optional. Link permalink format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  */
@@ -1321,5 +1321,5 @@
  * @param string $format Optional. Link anchor format.
  * @param string $link Optional. Link permalink format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
  */
@@ -1337,7 +1337,7 @@
  * @param string $format Link anchor format.
  * @param string $link Link permalink format.
- * @param bool $in_same_cat Optional. Whether link should be in same category.
+ * @param bool $in_same_cat Optional. Whether link should be in a same category.
  * @param array|string $excluded_categories Optional. Array or comma-separated list of excluded category IDs.
- * @param bool $previous Optional, default is true. Whether display link to previous post.
+ * @param bool $previous Optional, default is true. Whether to display link to previous or next post.
  */
 function adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
@@ -1371,5 +1371,5 @@
 
 /**
- * Retrieve get links for page numbers.
+ * Retrieve links for page numbers.
  *
  * @since 1.5.0
@@ -1433,5 +1433,5 @@
 
 /**
- * Retrieve next posts pages link.
+ * Retrieve next posts page link.
  *
  * Backported from 2.1.3 to 2.0.10.
@@ -1455,5 +1455,5 @@
 
 /**
- * Display or return the next posts pages link.
+ * Display or return the next posts page link.
  *
  * @since 0.71
@@ -1472,5 +1472,5 @@
 
 /**
- * Return the next posts pages link.
+ * Return the next posts page link.
  *
  * @since 2.7.0
@@ -1501,5 +1501,5 @@
 
 /**
- * Display the next posts pages link.
+ * Display the next posts page link.
  *
  * @since 0.71
@@ -1514,5 +1514,5 @@
 
 /**
- * Retrieve previous post pages link.
+ * Retrieve previous posts page link.
  *
  * Will only return string, if not on a single page or post.
@@ -1536,5 +1536,5 @@
 
 /**
- * Display or return the previous posts pages link.
+ * Display or return the previous posts page link.
  *
  * @since 0.71
@@ -1552,5 +1552,5 @@
 
 /**
- * Return the previous posts pages link.
+ * Return the previous posts page link.
  *
  * @since 2.7.0
@@ -1637,5 +1637,5 @@
 
 /**
- * Retrieve page numbers links.
+ * Retrieve comments page number link.
  *
  * @since 2.7.0
@@ -1673,5 +1673,5 @@
 
 /**
- * Return the link to next comments pages.
+ * Return the link to next comments page.
  *
  * @since 2.7.1
@@ -1707,5 +1707,5 @@
 
 /**
- * Display the link to next comments pages.
+ * Display the link to next comments page.
  *
  * @since 2.7.0
@@ -1760,5 +1760,5 @@
  * @since 2.7.0
  *
- * @param string|array $args Optional args. See paginate_links.
+ * @param string|array $args Optional args. See paginate_links().
  * @return string Markup for pagination links.
 */
@@ -1826,5 +1826,5 @@
  * Retrieve the home url for the current site.
  *
- * Returns the 'home' option with the appropriate protocol,  'https' if
+ * Returns the 'home' option with the appropriate protocol, 'https' if
  * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
  * overridden.
@@ -1836,5 +1836,5 @@
  *
  * @param  string $path   (optional) Path relative to the home url.
- * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http','https'
+ * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
  * @return string Home url link with optional path appended.
 */
@@ -1846,5 +1846,5 @@
  * Retrieve the home url for a given site.
  *
- * Returns the 'home' option with the appropriate protocol,  'https' if
+ * Returns the 'home' option with the appropriate protocol, 'https' if
  * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
  * overridden.
@@ -1855,5 +1855,5 @@
  * @param  int $blog_id   (optional) Blog ID. Defaults to current blog.
  * @param  string $path   (optional) Path relative to the home url.
- * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http','https'
+ * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
  * @return string Home url link with optional path appended.
 */
@@ -1881,5 +1881,5 @@
  * Retrieve the site url for the current site.
  *
- * Returns the 'site_url' option with the appropriate protocol,  'https' if
+ * Returns the 'site_url' option with the appropriate protocol, 'https' if
  * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
  * overridden.
@@ -1891,5 +1891,5 @@
  *
  * @param string $path Optional. Path relative to the site url.
- * @param string $scheme Optional. Scheme to give the site url context. Currently 'http','https', 'login', 'login_post', or 'admin'.
+ * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
  * @return string Site url link with optional path appended.
 */
@@ -1901,5 +1901,5 @@
  * Retrieve the site url for a given site.
  *
- * Returns the 'site_url' option with the appropriate protocol,  'https' if
+ * Returns the 'site_url' option with the appropriate protocol, 'https' if
  * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
  * overridden.
@@ -1910,5 +1910,5 @@
  * @param int $blog_id (optional) Blog ID. Defaults to current blog.
  * @param string $path Optional. Path relative to the site url.
- * @param string $scheme Optional. Scheme to give the site url context. Currently 'http','https', 'login', 'login_post', or 'admin'.
+ * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
  * @return string Site url link with optional path appended.
 */
@@ -1947,7 +1947,7 @@
  * @since 2.6.0
  *
- * @param string $path Optional path relative to the admin url
+ * @param string $path Optional path relative to the admin url.
  * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
- * @return string Admin url link with optional path appended
+ * @return string Admin url link with optional path appended.
 */
 function admin_url( $path = '', $scheme = 'admin' ) {
@@ -1962,7 +1962,7 @@
  *
  * @param int $blog_id (optional) Blog ID. Defaults to current blog.
- * @param string $path Optional path relative to the admin url
+ * @param string $path Optional path relative to the admin url.
  * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
- * @return string Admin url link with optional path appended
+ * @return string Admin url link with optional path appended.
 */
 function get_admin_url( $blog_id = null, $path = '', $scheme = 'admin' ) {
@@ -2055,5 +2055,5 @@
  * Retrieve the site url for the current network.
  *
- * Returns the site url with the appropriate protocol,  'https' if
+ * Returns the site url with the appropriate protocol, 'https' if
  * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
  * overridden.
@@ -2063,5 +2063,5 @@
  *
  * @param string $path Optional. Path relative to the site url.
- * @param string $scheme Optional. Scheme to give the site url context. Currently 'http','https', 'login', 'login_post', or 'admin'.
+ * @param string $scheme Optional. Scheme to give the site url context. Currently 'http', 'https', 'login', 'login_post', or 'admin'.
  * @return string Site url link with optional path appended.
 */
@@ -2095,5 +2095,5 @@
  * Retrieve the home url for the current network.
  *
- * Returns the home url with the appropriate protocol,  'https' if
+ * Returns the home url with the appropriate protocol, 'https' if
  * is_ssl() and 'http' otherwise. If $scheme is 'http' or 'https', is_ssl() is
  * overridden.
@@ -2103,5 +2103,5 @@
  *
  * @param  string $path   (optional) Path relative to the home url.
- * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http','https'
+ * @param  string $scheme (optional) Scheme to give the home url context. Currently 'http', 'https'.
  * @return string Home url link with optional path appended.
 */
@@ -2131,7 +2131,7 @@
  * @since 3.0.0
  *
- * @param string $path Optional path relative to the admin url
+ * @param string $path Optional path relative to the admin url.
  * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
- * @return string Admin url link with optional path appended
+ * @return string Admin url link with optional path appended.
 */
 function network_admin_url( $path = '', $scheme = 'admin' ) {
@@ -2153,7 +2153,7 @@
  * @since 3.0.0
  *
- * @param string $path Optional path relative to the admin url
+ * @param string $path Optional path relative to the admin url.
  * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
- * @return string Admin url link with optional path appended
+ * @return string Admin url link with optional path appended.
 */
 function user_admin_url( $path = '', $scheme = 'admin' ) {
@@ -2172,7 +2172,7 @@
  * @since 3.1.0
  *
- * @param string $path Optional path relative to the admin url
+ * @param string $path Optional path relative to the admin url.
  * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
- * @return string Admin url link with optional path appended
+ * @return string Admin url link with optional path appended.
 */
 function self_admin_url($path = '', $scheme = 'admin') {
@@ -2188,6 +2188,6 @@
  * Get the URL to the user's dashboard.
  *
- * If a user does not belong to any sites, the global user dashboard is used.  If the user belongs to the current site,
- * the dashboard for the current site is returned.  If the user cannot edit the current site, the dashboard to the user's
+ * If a user does not belong to any site, the global user dashboard is used.  If the user belongs to the current site,
+ * the dashboard for the current site is returned. If the user cannot edit the current site, the dashboard to the user's
  * primary blog is returned.
  *
@@ -2195,7 +2195,7 @@
  *
  * @param int $user_id User ID
- * @param string $path Optional path relative to the dashboard.  Use only paths known to both blog and user admins.
+ * @param string $path Optional path relative to the dashboard. Use only paths known to both blog and user admins.
  * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
- * @return string Dashboard url link with optional path appended
+ * @return string Dashboard url link with optional path appended.
  */
 function get_dashboard_url( $user_id, $path = '', $scheme = 'admin' ) {
@@ -2230,5 +2230,5 @@
  * @param int $user User ID
  * @param string $scheme The scheme to use. Default is 'admin', which obeys force_ssl_admin() and is_ssl(). 'http' or 'https' can be passed to force those schemes.
- * @return string Dashboard url link with optional path appended
+ * @return string Dashboard url link with optional path appended.
  */
 function get_edit_profile_url( $user, $scheme = 'admin' ) {
@@ -2246,5 +2246,5 @@
 
 /**
- * Output rel=canonical for singular queries
+ * Output rel=canonical for singular queries.
  *
  * @package WordPress
@@ -2266,12 +2266,12 @@
  * Return a shortlink for a post, page, attachment, or blog.
  *
- * This function exists to provide a shortlink tag that all themes and plugins can target.  A plugin must hook in to
- * provide the actual shortlinks.  Default shortlink support is limited to providing ?p= style links for posts.
- * Plugins can short circuit this function via the pre_get_shortlink filter or filter the output
+ * This function exists to provide a shortlink tag that all themes and plugins can target. A plugin must hook in to
+ * provide the actual shortlinks. Default shortlink support is limited to providing ?p= style links for posts.
+ * Plugins can short-circuit this function via the pre_get_shortlink filter or filter the output
  * via the get_shortlink filter.
  *
  * @since 3.0.0.
  *
- * @param int $id A post or blog id.  Default is 0, which means the current post or blog.
+ * @param int $id A post or blog id. Default is 0, which means the current post or blog.
  * @param string $context Whether the id is a 'blog' id, 'post' id, or 'media' id. If 'post', the post_type of the post is consulted. If 'query', the current query is consulted to determine the id and context. Default is 'post'.
  * @param bool $allow_slugs Whether to allow post slugs in the shortlink. It is up to the plugin how and whether to honor this.
@@ -2353,8 +2353,8 @@
  * @since 3.0.0
  *
- * @param string $text Optional The link text or HTML to be displayed.  Defaults to 'This is the short link.'
- * @param string $title Optional The tooltip for the link.  Must be sanitized.  Defaults to the sanitized post title.
+ * @param string $text Optional The link text or HTML to be displayed. Defaults to 'This is the short link.'
+ * @param string $title Optional The tooltip for the link. Must be sanitized. Defaults to the sanitized post title.
  * @param string $before Optional HTML to display before the link.
- * @param string $before Optional HTML to display after the link.
+ * @param string $after Optional HTML to display after the link.
  */
 function the_shortlink( $text = '', $title = '', $before = '', $after = '' ) {
Index: /trunk/wp-includes/load.php
===================================================================
--- /trunk/wp-includes/load.php	(revision 18826)
+++ /trunk/wp-includes/load.php	(revision 18827)
@@ -187,5 +187,5 @@
  * @access private
  * @since 0.71
- * @global int $timestart Seconds and Microseconds added together from when function is called.
+ * @global int $timestart Seconds and microseconds added together from when function is called.
  * @return bool Always returns true.
  */
@@ -211,9 +211,9 @@
  * </code>
  * which will do what the above does. If you need the result, you can assign it to a variable, but
- * most cases, you only need to echo it.
+ * in most cases, you only need to echo it.
  *
  * @since 0.71
- * @global int $timestart Seconds and Microseconds added together from when timer_start() is called
- * @global int $timeend  Seconds and Microseconds added together from when function is called
+ * @global int $timestart Seconds and microseconds added together from when timer_start() is called
+ * @global int $timeend Seconds and microseconds added together from when function is called
  *
  * @param int $display Use '0' or null to not echo anything and 1 to echo the total time
@@ -288,7 +288,7 @@
  * To set directory manually, define <code>WP_LANG_DIR</code> in wp-config.php.
  *
- * If the language directory exists within WP_CONTENT_DIR that is used
- * Otherwise if the language directory exists within WPINC, that's used
- * Finally, If neither of the preceeding directories is found,
+ * If the language directory exists within WP_CONTENT_DIR, that is used.
+ * Otherwise if the language directory exists within WPINC, that's used.
+ * Finally, if neither of the preceding directories are found,
  * WP_CONTENT_DIR/languages is used.
  *
@@ -397,5 +397,5 @@
 		// Sometimes advanced-cache.php can load object-cache.php before it is loaded here.
 		// This breaks the function_exists check above and can result in $_wp_using_ext_object_cache
-		// being set incorrectly.  Double check if an external cache exists.
+		// being set incorrectly. Double check if an external cache exists.
 		$_wp_using_ext_object_cache = true;
 	}
Index: /trunk/wp-includes/locale.php
===================================================================
--- /trunk/wp-includes/locale.php	(revision 18826)
+++ /trunk/wp-includes/locale.php	(revision 18827)
@@ -26,5 +26,5 @@
 	 *
 	 * There is a hack to make sure that Tuesday and Thursday, as well
-	 * as Sunday and Saturday don't conflict. See init() method for more.
+	 * as Sunday and Saturday, don't conflict. See init() method for more.
 	 *
 	 * @see WP_Locale::init() for how to handle the hack.
Index: /trunk/wp-includes/media.php
===================================================================
--- /trunk/wp-includes/media.php	(revision 18826)
+++ /trunk/wp-includes/media.php	(revision 18827)
@@ -18,5 +18,5 @@
  * not set.
  *
- * Finally, there is a filter named, 'editor_max_image_size' that will be called
+ * Finally, there is a filter named 'editor_max_image_size', that will be called
  * on the calculated array for width and height, respectively. The second
  * parameter will be the value that was in the $size parameter. The returned
@@ -178,4 +178,6 @@
 /**
  * Registers a new image size
+ *
+ * @since 2.9.0
  */
 function add_image_size( $name, $width = 0, $height = 0, $crop = false ) {
@@ -186,4 +188,6 @@
 /**
  * Registers an image size for the post thumbnail
+ *
+ * @since 2.9.0
  */
 function set_post_thumbnail_size( $width = 0, $height = 0, $crop = false ) {
@@ -330,5 +334,5 @@
  * @param int $dest_h New height.
  * @param bool $crop Optional, default is false. Whether to crop image or resize.
- * @return bool|array False, on failure. Returned array matches parameters for imagecopyresampled() PHP function.
+ * @return bool|array False on failure. Returned array matches parameters for imagecopyresampled() PHP function.
  */
 function image_resize_dimensions($orig_w, $orig_h, $dest_w, $dest_h, $crop = false) {
@@ -399,5 +403,5 @@
  * @param int $max_h Maximum height to resize to.
  * @param bool $crop Optional. Whether to crop image or resize.
- * @param string $suffix Optional. File Suffix.
+ * @param string $suffix Optional. File suffix.
  * @param string $dest_path Optional. New image file path.
  * @param int $jpeg_quality Optional, default is 90. Image quality percentage.
@@ -670,7 +674,7 @@
 
 /**
- * Adds a 'wp-post-image' class to post thumbnail thumbnails
+ * Adds a 'wp-post-image' class to post thumbnails
  * Uses the begin_fetch_post_thumbnail_html and end_fetch_post_thumbnail_html action hooks to
- * dynamically add/remove itself so as to only filter post thumbnail thumbnails
+ * dynamically add/remove itself so as to only filter post thumbnails
  *
  * @since 2.9.0
@@ -753,5 +757,5 @@
  * @since 2.5.0
  *
- * @param array $attr Attributes attributed to the shortcode.
+ * @param array $attr Attributes of the shortcode.
  * @return string HTML content to display gallery.
  */
@@ -907,5 +911,5 @@
  * @since 2.5.0
  *
- * @param bool $prev Optional. Default is true to display previous link, true for next.
+ * @param bool $prev Optional. Default is true to display previous link, false for next.
  */
 function adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
@@ -1080,5 +1084,5 @@
 
 	/**
-	 * If a post/page was saved, then output Javascript to make
+	 * If a post/page was saved, then output JavaScript to make
 	 * an AJAX request that will call WP_Embed::cache_oembed().
 	 */
@@ -1374,5 +1378,5 @@
  *
  * @param string $url The URL that should be embedded.
- * @param array $args Addtional arguments and parameters.
+ * @param array $args Additional arguments and parameters.
  * @return string The original URL on failure or the embed HTML on success.
  */
Index: /trunk/wp-includes/pomo/translations.php
===================================================================
--- /trunk/wp-includes/pomo/translations.php	(revision 18826)
+++ /trunk/wp-includes/pomo/translations.php	(revision 18827)
@@ -82,5 +82,5 @@
 	 * Given the number of items, returns the 0-based index of the plural form to use
 	 *
-	 * Here, in the base Translations class, the commong logic for English is implmented:
+	 * Here, in the base Translations class, the common logic for English is implemented:
 	 * 	0 if there is one element, 1 otherwise
 	 *
Index: /trunk/wp-includes/post-thumbnail-template.php
===================================================================
--- /trunk/wp-includes/post-thumbnail-template.php	(revision 18826)
+++ /trunk/wp-includes/post-thumbnail-template.php	(revision 18827)
@@ -51,5 +51,5 @@
  * Update cache for thumbnails in the current loop
  *
- * @sicne 3.2
+ * @since 3.2
  */
 function update_post_thumbnail_cache() {