Index: /trunk/wp-admin/admin-ajax.php
===================================================================
--- /trunk/wp-admin/admin-ajax.php	(revision 18840)
+++ /trunk/wp-admin/admin-ajax.php	(revision 18841)
@@ -641,5 +641,5 @@
 		die('1');
 	elseif ( in_array($status, array('draft', 'pending', 'trash') ) )
-		die( __('Error: you are replying to a comment on a draft post.') );
+		die( __('ERROR: you are replying to a comment on a draft post.') );
 
 	$user = wp_get_current_user();
@@ -660,5 +660,5 @@
 
 	if ( '' == $comment_content )
-		die( __('Error: please type a comment.') );
+		die( __('ERROR: please type a comment.') );
 
 	$comment_parent = absint($_POST['comment_ID']);
@@ -722,5 +722,5 @@
 
 	if ( '' == $_POST['content'] )
-		die( __('Error: please type a comment.') );
+		die( __('ERROR: please type a comment.') );
 
 	$_POST['comment_status'] = $_POST['status'];
Index: /trunk/wp-admin/includes/file.php
===================================================================
--- /trunk/wp-admin/includes/file.php	(revision 18840)
+++ /trunk/wp-admin/includes/file.php	(revision 18841)
@@ -966,5 +966,5 @@
 		extract($credentials, EXTR_OVERWRITE);
 	if ( $error ) {
-		$error_string = __('<strong>Error:</strong> There was an error connecting to the server, Please verify the settings are correct.');
+		$error_string = __('<strong>ERROR:</strong> There was an error connecting to the server, Please verify the settings are correct.');
 		if ( is_wp_error($error) )
 			$error_string = esc_html( $error->get_error_message() );
Index: /trunk/wp-admin/includes/theme-install.php
===================================================================
--- /trunk/wp-admin/includes/theme-install.php	(revision 18840)
+++ /trunk/wp-admin/includes/theme-install.php	(revision 18841)
@@ -238,5 +238,5 @@
 
 	if ( empty($api->download_link) ) {
-		echo '<div id="message" class="error"><p>' . __('<strong>Error:</strong> This theme is currently not available. Please try again later.') . '</p></div>';
+		echo '<div id="message" class="error"><p>' . __('<strong>ERROR:</strong> This theme is currently not available. Please try again later.') . '</p></div>';
 		iframe_footer();
 		exit;
Index: /trunk/wp-admin/network.php
===================================================================
--- /trunk/wp-admin/network.php	(revision 18840)
+++ /trunk/wp-admin/network.php	(revision 18841)
@@ -136,5 +136,5 @@
 
 	if ( get_option( 'siteurl' ) != get_option( 'home' ) ) {
-		echo '<div class="error"><p><strong>' . __('Error:') . '</strong> ' . sprintf( __( 'Your <strong>WordPress address</strong> must match your <strong>Site address</strong> before creating a Network. See <a href="%s">General Settings</a>.' ), esc_url( admin_url( 'options-general.php' ) ) ) . '</p></div>';
+		echo '<div class="error"><p><strong>' . __('ERROR:') . '</strong> ' . sprintf( __( 'Your <strong>WordPress address</strong> must match your <strong>Site address</strong> before creating a Network. See <a href="%s">General Settings</a>.' ), esc_url( admin_url( 'options-general.php' ) ) ) . '</p></div>';
 		echo '</div>';
 		include ( ABSPATH . 'wp-admin/admin-footer.php' );
@@ -143,5 +143,5 @@
 
 	if ( defined('DO_NOT_UPGRADE_GLOBAL_TABLES') ) {
-		echo '<div class="error"><p><strong>' . __('Error:') . '</strong> ' . __( 'The constant DO_NOT_UPGRADE_GLOBAL_TABLES cannot be defined when creating a network.' ) . '</p></div>';
+		echo '<div class="error"><p><strong>' . __('ERROR:') . '</strong> ' . __( 'The constant DO_NOT_UPGRADE_GLOBAL_TABLES cannot be defined when creating a network.' ) . '</p></div>';
 		echo '</div>';
 		include ( ABSPATH . 'wp-admin/admin-footer.php' );
@@ -160,5 +160,5 @@
 	$has_ports = strstr( $hostname, ':' );
 	if ( ( false !== $has_ports && ! in_array( $has_ports, array( ':80', ':443' ) ) ) ) {
-		echo '<div class="error"><p><strong>' . __( 'Error:') . '</strong> ' . __( 'You cannot install a network of sites with your server address.' ) . '</p></div>';
+		echo '<div class="error"><p><strong>' . __( 'ERROR:') . '</strong> ' . __( 'You cannot install a network of sites with your server address.' ) . '</p></div>';
 		echo '<p>' . sprintf( __( 'You cannot use port numbers such as <code>%s</code>.' ), $has_ports ) . '</p>';
 		echo '<a href="' . esc_url( admin_url() ) . '">' . __( 'Return to Dashboard' ) . '</a>';
Index: /trunk/wp-admin/options.php
===================================================================
--- /trunk/wp-admin/options.php	(revision 18840)
+++ /trunk/wp-admin/options.php	(revision 18841)
@@ -111,5 +111,5 @@
 
 	if ( !isset( $whitelist_options[ $option_page ] ) )
-		wp_die( __( 'Error: options page not found.' ) );
+		wp_die( __( '<strong>ERROR</strong>: options page not found.' ) );
 
 	if ( 'options' == $option_page ) {
Index: /trunk/wp-comments-post.php
===================================================================
--- /trunk/wp-comments-post.php	(revision 18840)
+++ /trunk/wp-comments-post.php	(revision 18841)
@@ -76,11 +76,11 @@
 if ( get_option('require_name_email') && !$user->ID ) {
 	if ( 6 > strlen($comment_author_email) || '' == $comment_author )
-		wp_die( __('Error: please fill the required fields (name, email).') );
+		wp_die( __('<strong>ERROR</strong>: please fill the required fields (name, email).') );
 	elseif ( !is_email($comment_author_email))
-		wp_die( __('Error: please enter a valid email address.') );
+		wp_die( __('<strong>ERROR</strong>: please enter a valid email address.') );
 }
 
 if ( '' == $comment_content )
-	wp_die( __('Error: please type a comment.') );
+	wp_die( __('<strong>ERROR</strong>: please type a comment.') );
 
 $comment_parent = isset($_POST['comment_parent']) ? absint($_POST['comment_parent']) : 0;
Index: /trunk/wp-includes/js/tinymce/langs/wp-langs.php
===================================================================
--- /trunk/wp-includes/js/tinymce/langs/wp-langs.php	(revision 18840)
+++ /trunk/wp-includes/js/tinymce/langs/wp-langs.php	(revision 18841)
@@ -25,5 +25,5 @@
 clipboard_no_support:"' . mce_escape( __('Currently not supported by your browser, use keyboard shortcuts instead.') ) . '",
 popup_blocked:"' . mce_escape( __('Sorry, but we have noticed that your popup-blocker has disabled a window that provides application functionality. You will need to disable popup blocking on this site in order to fully utilize this tool.') ) . '",
-invalid_data:"' . mce_escape( __('Error: Invalid values entered, these are marked in red.') ) . '",
+invalid_data:"' . mce_escape( __('ERROR: Invalid values entered, these are marked in red.') ) . '",
 invalid_data_number:"' . mce_escape( __('{#field} must be a number') ) . '",
 invalid_data_min:"' . mce_escape( __('{#field} must be a number greater than {#min}') ) . '",
Index: /trunk/wp-includes/ms-functions.php
===================================================================
--- /trunk/wp-includes/ms-functions.php	(revision 18840)
+++ /trunk/wp-includes/ms-functions.php	(revision 18841)
@@ -319,5 +319,5 @@
 	// Check if the domain has been used already. We should return an error message.
 	if ( domain_exists($domain, $path, $site_id) )
-		return __( 'Error: Site URL already taken.' );
+		return __( '<strong>ERROR</strong>: Site URL already taken.' );
 
 	// Need to back up wpdb table names, and create a new wp_blogs entry for new blog.
@@ -326,5 +326,5 @@
 
 	if ( ! $blog_id = insert_blog($domain, $path, $site_id) )
-		return __( 'Error: problem creating site entry.' );
+		return __( '<strong>ERROR</strong>: problem creating site entry.' );
 
 	switch_to_blog($blog_id);